Bug 124261 - Athlon powersave mode not enabled by kernel?
Athlon powersave mode not enabled by kernel?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 05:17 EDT by Noa Resare
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 21:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2004-05-25 05:17:11 EDT
Description of problem:

I have two athlon desktop systems that run really hot. A while ago I
found the 'athcool' utility, that changes two register settings on my
motherboard and all the sudden the processors run on average 15
degrees celcius cooler than before on normal "desktop use" (read:
mostly idle).

According to the "Athlon Powersaving HOWTO": "The HLT signal which is
used by the normal idle-loop of the Linux kernel does not bring any
significant power-saving on processors of the Athlon/Duron family
(hereafter referred to as Athlon processors). To get real power-saving
on an Athlon processor, you have to put the processor in the
STPGNT-Mode (Stop Grant Mode)."

I have made some attempts to measure any preformance difference when
enabling Powersave and not, but failed.

Are there any obvious reasons why this isn't done by the kernel?

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
always

Steps to Reproduce:
1. fire up the computer and measure CPU temperature with lm_senors
after a few minutes

2. run 'athcool on' (available from
http://members.jcom.home.ne.jp/jacobi/linux/softwares.html)

3. watch the temperature drop 
  
Additional info:

Hardware I have tested this on:

Asus K7V8X motherboard with Athlon XP 2200+ CPU, VT8377 [KT400/KT600
AGP] Host Bridge

Aopen AK77-400G motherboard with Athlon XP 2500+ CPU, VT8377
[KT400/KT600 AGP] Host Bridge
Comment 1 Dave Jones 2004-05-25 08:30:13 EDT
this was proven to be unstable on some boards iirc.
Comment 2 Alan Cox 2004-06-14 19:02:28 EDT
Indeed - even the author acknowledges this

Note You need to log in before you can comment on or make changes to this bug.